Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class MinimumCardinalityConstraint

    java.lang.Object
      edu.stanford.smi.protege.model.AbstractFacetConstraint
          edu.stanford.smi.protege.model.MinimumCardinalityConstraint

All Implemented Interfaces:
  FacetConstraint, Serializable

    public class MinimumCardinalityConstraint

extends AbstractFacetConstraint

A constraint on the minimum number of values that a slot may contain.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Constructor Summary
`MinimumCardinalityConstraint()`

Method Summary
`String` | `getInvalidValuesText(Frame frame, Slot slot, Collection slotValues, Collection facetValues)`
`String` | `getInvalidValueText(Frame frame, Slot slot, Object o, Collection facetValues)`
`static Integer` | `getValue(int i)`
`static int` | `getValue(Integer i)`
`Collection` | `resolve(Collection existingValues, Collection newValues)`

Methods inherited from class edu.stanford.smi.protege.model.AbstractFacetConstraint
`areValidValues, equals, isValidValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MinimumCardinalityConstraint

    public MinimumCardinalityConstraint()

Method Detail

### getInvalidValuesText

    public String getInvalidValuesText(Frame frame,
                                       Slot slot,
                                       Collection slotValues,
                                       Collection facetValues)

### getInvalidValueText

    public String getInvalidValueText(Frame frame,
                                      Slot slot,
                                      Object o,
                                      Collection facetValues)

### getValue

    public static int getValue(Integer i)

### getValue

    public static Integer getValue(int i)

### resolve

    public Collection resolve(Collection existingValues,
                              Collection newValues)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.